// Zadatak06.cpp : This file contains the 'main' function. Program execution begins and ends there.
//

#include <iostream>
#include <vector>
#include <string>
using namespace std;

int main()
{
    vector <int> poljeBrojeva;
    vector <int> parniBrojevi;
    vector <int> neparniBrojevi;

    int brojBrojeva;
    cout << "koliko ce biti brojeva: ";
    cin >> brojBrojeva;

    //unos brojeva
    for (int i = 0; i < brojBrojeva; i++)
    {
        cout << "Unesite " << i + 1 << ". broj: ";
        int broj;
        cin >> broj;
        poljeBrojeva.push_back(broj);
    }

    //izdvojima parne i neparne brojeve
    for (int i = 0; i < poljeBrojeva.size(); i++)
    {
        if (poljeBrojeva[i] % 2 == 0)
            parniBrojevi.push_back(poljeBrojeva[i]);
        else
            neparniBrojevi.push_back(poljeBrojeva[i]);
    }

    //ispis parnih brojeva
    cout << "\nParni brojevi:";
    for (int i = 0; i < parniBrojevi.size(); i++)
    {
        if (i != parniBrojevi.size() - 1)
            cout << parniBrojevi[i] << ", ";
        else
            cout << parniBrojevi[i] << ".";
    }

    //ispis neparnih brojeva
    cout << "\nNeparni brojevi:";
    for (int i = neparniBrojevi.size()-1; i >= 0; i--)
    {
        if (i != neparniBrojevi.size() - 1)
            cout << neparniBrojevi[i] << ", ";
        else
            cout << neparniBrojevi[i] << ".";
    }
}

// Run program: Ctrl + F5 or Debug > Start Without Debugging menu
// Debug program: F5 or Debug > Start Debugging menu

// Tips for Getting Started: 
//   1. Use the Solution Explorer window to add/manage files
//   2. Use the Team Explorer window to connect to source control
//   3. Use the Output window to see build output and other messages
//   4. Use the Error List window to view errors
//   5. Go to Project > Add New Item to create new code files, or Project > Add Existing Item to add existing code files to the project
//   6. In the future, to open this project again, go to File > Open > Project and select the .sln file
